Subject: bug#19191: 24.4; su command in *shell* buffer does not work

From: 白井彰 <[email-masked]>
Date: Wed, 1 Apr 2015 20:54:09 +0900

Today I tried to find out why the shell's TTY is not a PTY device on
my system.  I tried the following:

1. Remove my .cshrc and .login.

2. Logout and login, and launch a terminal emulator (dtterm)
   on X Window System in my Solaris 10 system (i386-pc-solaris2.10).

3. On the terminal emulator, I type the following:
   set path = (/usr/bin . /usr/ccs/bin)
   gzcat emacs-24.3.tar.gz | tar xfp -
   (cd emacs-24.3; ./configure --with-jpeg=no --with-gif=no; make)
   (cd emacs-24.3/src; ./emacs -Q)
   M-x shell
   % su
   Password: ********
   #
   => su command in *shell* buffer works well.
   C-x C-c

4. Then I type the following on the same terminal emulator:
   gzcat emacs-24.4.tar.gz | tar xfp -
   (cd emacs-24.4; ./configure --with-jpeg=no --with-gif=no; make)
   (cd emacs-24.4/src; ./emacs -Q)
   M-x shell
   Warning: no access to tty; thus no job control in this shell...
   % su
   su: Sorry
   %
   => su command in *shell* buffer does not work.
      su does not ask for the password and exits with "su: Sorry".

I would like to know how I can proceed.
Thanks.

> 2015/03/31 2:22、Eli Zaretskii <[email-masked]> のメール：
> 
>> From: 白井彰 <[email-masked]>
>> Date: Tue, 31 Mar 2015 02:08:51 +0900
>> Cc: Akira Shirai <[email-masked]>
>> 
>> "su: Sorry" also occurs on emacs-24.5-rc1.
> 
> You need to find out why the shell's TTY is not a PTY device on your
> system.  As Andreas pointed out, this is the reason for the problem.